<template>
  <li class="list-item">
    <slot></slot>
  </li>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import InputTextField from "@/components/input/InputTextField.vue";

import { faSearch } from "@fortawesome/free-solid-svg-icons";

@Options({
  components: {
    InputTextField,
  },
})
export default class ListItem extends Vue {
  public icons = {
    faSearch,
  };
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

.list-item {
  box-sizing: border-box;
  background-color: $light_bg;
  width: 100%;
  padding: $small_margin $list_spacing;
  list-style: none;

  /*margin-bottom: 10px;*/

  font-size: 14px;
  line-height: 22px;
}
</style>
